Skip to main content
PATCH
/
users
/
{userId}
/
devices
/
{deviceId}
Update device
curl --request PATCH \
  --url https://api.authsignal.com/v1/users/{userId}/devices/{deviceId} \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "rememberedUntil": "2026-08-14T12:00:00.000Z"
}
'
{
  "userId": "<string>",
  "deviceId": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "authenticatedAt": "2023-11-07T05:31:56Z",
  "invalidatedAt": "2023-11-07T05:31:56Z",
  "rememberedUntil": "2023-11-07T05:31:56Z",
  "lastVerificationMethod": "SMS"
}

Documentation Index

Fetch the complete documentation index at: https://docs.authsignal.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use your Authsignal Server API secret key as the username and leave the password empty. The secret key can be found in the API Keys section of the Authsignal Portal settings page.

Path Parameters

userId
string
required

The ID of the user.

deviceId
string
required

The ID of the device.

Body

application/json
rememberedUntil
string<date-time> | null

An ISO 8601 timestamp in the future until which the device should be remembered. Pass null to clear an existing value and stop remembering the device. While this timestamp is in the future, the device.isRemembered rules engine feature returns true for actions performed on this device.

Response

OK

userId
string
required

The ID of the user.

deviceId
string
required

The ID of the device.

createdAt
string<date-time>
required

The time when the device was first created.

authenticatedAt
string<date-time>

The time when the device was last authenticated.

invalidatedAt
string<date-time>

The time when the device was invalidated.

rememberedUntil
string<date-time>

The time until which the device is remembered. While this timestamp is in the future, the device.isRemembered rules engine feature returns true for actions performed on this device.

lastVerificationMethod
enum<string>

The verification method last used on this device.

Available options:
SMS,
AUTHENTICATOR_APP,
EMAIL_MAGIC_LINK,
EMAIL_OTP,
PUSH,
DEVICE,
SECURITY_KEY,
PASSKEY,
VERIFF,
IPROOV,
PALM_BIOMETRICS_RR,
IDVERSE